from django.contrib.auth.models import User
from django.core.management.base import NoArgsCommand

from . import profile


class Command(NoArgsCommand):
    help = "Creates profile records for any user that doesn't have them."

    def handle_noargs(self, **options):
        for user in User.objects.all():
            profile.get_profile(user)
